| FFmpegKit Android API 4.5

Data Fields
section Struct Reference

## Data Fields
int | id
| unique id identifying a section More...
const char * | name
int | flags
int | children_ids [SECTION_MAX_NB_CHILDREN+1]
| list of children section IDS, terminated by -1 More...
const char * | element_name
| name of the contained element, if provided More...
const char * | unique_name
| unique section name, in case the name is ambiguous More...
AVDictionary * | entries_to_show
int | show_all_entries

## Detailed Description

Definition at line 150 of file fftools_ffprobe.c.

## Field Documentation

## ◆ children_ids

int section::children_ids[SECTION_MAX_NB_CHILDREN+1]

list of children section IDS, terminated by -1

Definition at line 159 of file fftools_ffprobe.c.

## ◆ element_name

const char* section::element_name

name of the contained element, if provided

Definition at line 160 of file fftools_ffprobe.c.

## ◆ entries_to_show

AVDictionary* section::entries_to_show

Definition at line 162 of file fftools_ffprobe.c.

## ◆ flags

int section::flags

Definition at line 158 of file fftools_ffprobe.c.

## ◆ id

int section::id

unique id identifying a section

Definition at line 151 of file fftools_ffprobe.c.

## ◆ name

const char* section::name

Definition at line 152 of file fftools_ffprobe.c.

## ◆ show_all_entries

int section::show_all_entries

Definition at line 163 of file fftools_ffprobe.c.

## ◆ unique_name

const char* section::unique_name

unique section name, in case the name is ambiguous

Definition at line 161 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c